/*
 * @(#) 1.8 SSOA/ws/code/soa.functionEquiv/src/com/ibm/websphere/sca/context/CompositeContext.java, WAS.soa.functionEquiv, SCA101.SSOA, cf051018.03 6/16/09 21:36:52 [5/10/10 22:21:08]
 *
 * COMPONENT_NAME: WAS.soa.functionEquiv
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5722-WE2 (C) COPYRIGHT International Business Machines Corp. 2007,2008
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 *
 * HISTORY
 * CMVC Ref        Date     Who      Description
 * --------------- -------- -------- --------------------------------------------
 * 552792          10/10/08 yanglei  change header and remove 2 methods
 */
package com.ibm.websphere.sca.context;

import org.osoa.sca.ServiceReference;

/**
 * org.osoa.sca.CompositeContext was removed from the 1.0 version of the SCA
 * spec. This class provides methods comparable to those that were removed.
 * @ibm-api
 */
public interface CompositeContext {

    /**
     * Returns a proxy that provides access to the specified service.
     * 
     * @param interfaze the interface that will be used to invoke the service.
     * @param compServName the name of the target component/service.
     * @return a proxy to the to the service specified by the parameters.
     * @throws unchecked exception : NoSuchServiceException
     */
    public <T> T getService(Class<T> interfaze, String compServName);


    /**
     * Returns a ServiceReference<T> for the specified service.
     * 
     * @param interfaze the interface that will be used to invoke the service.
     * @param compServName the name of the target component/service.
     * @return a ServiceReference<T> for the service specified by the
     *         parameters.
     * @throws unchecked exception : NoSuchServiceException
     */
    public <T> ServiceReference<T> getServiceReference(Class<T> interfaze, String compServName);

}
