/*
 * Version: @(#) 1.2 SSOA/ws/code/soa.sca.container.spi/src/com/ibm/wsspi/container/binding/Binding.java, WAS.soa.sca.container.spi, SCA101.SSOA, cf051018.03 09/06/22 18:06:13 [5/10/10 22:21:28]
 *
 * COMPONENT_NAME: <WAS.soa.sca.container.spi>
 *
 * IBM Confidential OCO Source Material
 * 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5733-W61 (C) COPYRIGHT International Business Machines Corp. 2009
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 *
 *
 * HISTORY
 * CMVC Ref         Date      Who       Description
 * --------------- 	--------- --------- --------------------------------------------
 * F00CmnContainer  20090605  srashmi   Initial Implementation
 */

package com.ibm.wsspi.container.binding;

/**
 * The configuration of a binding.
 * 
 * This interface is implemented by respective binding implementations who wants to use common container. Different bindings 
 * can extend this interface further to add additional interface methods to support that binding. For e.g For JMS,  
 * SharedJMSBinding needs methods like getActivationSpecName() etc. The implementation of this binding interface is done by 
 * respective callers who wants to use the common container. For e.g SCA FP's JMSBindingImpl implements this interface
 * (or extended SharedJMSBinding interface) 
 * @ibm-spi
 */

public interface Binding {
	
    /**
     * Returns the binding name
     *     
     * @return binding name
     */
	String getName();
}
